Index: kernel/tgb.cc
===================================================================
--- kernel/tgb.cc	(revision a41623dd1e56318466dc81751481d37d19489c7b)
+++ kernel/tgb.cc	(revision 410ea0fb1e22ebcb52e33b6789cf294a2d1f663b)
@@ -1482,150 +1648,157 @@
 //             }
 //         }
-        if (c->lengths[i]+c->lengths[j]==3)
-        {
-
-
-             poly short_s=ksCreateShortSpoly(c->S->m[i],c->S->m[j],c->r);
-            if (short_s==NULL)
-            {
-                c->states[i][j]=HASTREP;
-            }
-            else
-            {
-                assume(pLength(short_s)==1);
-                if (TEST_V_UPTORADICAL)
-                   monomial_root(short_s,c->r);
-                int iS=
-                   kFindDivisibleByInS_easy(c->strat,short_s, p_GetShortExpVector(short_s,c->r));
-                if (iS<0)
-                {
-                    //PrintS("N");
-                    if (TRUE)
-                    {
-                      c->states[i][j]=HASTREP;
-                      add_later(short_s,"N",c);
-                    }
-                    else
-                      p_Delete(&short_s,currRing);
-                }
-                else
-                {
-                    if (c->strat->lenS[iS]>1)
-                    {
-                        //PrintS("O");
-                        if (TRUE) {
-                        c->states[i][j]=HASTREP;
-                        add_later(short_s,"O",c);
-                        }
-                        else p_Delete(&short_s,currRing);
-                    }
-                    else
-                     p_Delete(&short_s, currRing);
-                     c->states[i][j]=HASTREP;
-                }
-
-
-            }
-        }
-    }
+	if (c->lengths[i] + c->lengths[j] == 3)
+	{
+
+
+	  poly short_s = ksCreateShortSpoly (c->S->m[i], c->S->m[j], c->r);
+	  if (short_s == NULL)
+	  {
+	    c->states[i][j] = HASTREP;
+	  }
+	  else
+	  {
+	    assume (pLength (short_s) == 1);
+	    if (TEST_V_UPTORADICAL)
+	      monomial_root (short_s, c->r);
+	    int iS =
+	      kFindDivisibleByInS_easy (c->strat, short_s,
+					p_GetShortExpVector (short_s, c->r));
+	    if (iS < 0)
+	    {
+	      //PrintS("N");
+	      if (TRUE)
+	      {
+		c->states[i][j] = HASTREP;
+		add_later (short_s, "N", c);
+	      }
+	      else
+		p_Delete (&short_s, currRing);
+	    }
+	    else
+	    {
+	      if (c->strat->lenS[iS] > 1)
+	      {
+		//PrintS("O");
+		if (TRUE)
+		{
+		  c->states[i][j] = HASTREP;
+		  add_later (short_s, "O", c);
+		}
+		else
+		  p_Delete (&short_s, currRing);
+	      }
+	      else
+		p_Delete (&short_s, currRing);
+	      c->states[i][j] = HASTREP;
+	    }
+
+
+	  }
+	}
+      }
       //    if (short_s)
       //    {
-    assume(spc<=j);
-    sorted_pair_node* s=c->tmp_spn[spc];//(sorted_pair_node*) omalloc(sizeof(sorted_pair_node));
-    s->i=si_max(i,j);
-    s->j=si_min(i,j);
-    assume(s->j==j);
-    s->expected_length=pair_weighted_length(i,j,c);//c->lengths[i]+c->lengths[j]-2;
-
-    poly lm=c->tmp_pair_lm[spc];//=pOne_Special();
-
-    pLcm(c->S->m[i], c->S->m[j], lm);
-    pSetm(lm);
-    p_Test(lm,c->r);
-    s->deg=c->pTotaldegree(lm);
-
-    if(c->T_deg_full)//Sugar
-    {
-      int t_i=c->T_deg_full[s->i]-c->T_deg[s->i];
-      int t_j=c->T_deg_full[s->j]-c->T_deg[s->j];
-      s->deg+=si_max(t_i,t_j);
-      //Print("\n max: %d\n",max(t_i,t_j));
-    }
-    p_Test(lm,c->r);
-    s->lcm_of_lm=lm;
-    //          pDelete(&short_s);
-    //assume(lm!=NULL);
-    nodes[spc]=s;
-    spc++;
-
-  // }
-  //else
-  //{
-        //c->states[i][j]=HASTREP;
-  //}
-  }
-  }//if syz_comp end
-
-  assume(spc<=i);
+      assume (spc <= j);
+      sorted_pair_node *s = c->tmp_spn[spc];	//(sorted_pair_node*) omalloc(sizeof(sorted_pair_node));
+      s->i = si_max (i, j);
+      s->j = si_min (i, j);
+      assume (s->j == j);
+      s->expected_length = pair_weighted_length (i, j, c);	//c->lengths[i]+c->lengths[j]-2;
+
+      poly lm = c->tmp_pair_lm[spc];	//=pOne_Special();
+
+      pLcm (c->S->m[i], c->S->m[j], lm);
+      pSetm (lm);
+      p_Test (lm, c->r);
+      s->deg = c->pTotaldegree (lm);
+
+      if (c->T_deg_full)	//Sugar
+      {
+	int t_i = c->T_deg_full[s->i] - c->T_deg[s->i];
+	int t_j = c->T_deg_full[s->j] - c->T_deg[s->j];
+	s->deg += si_max (t_i, t_j);
+	//Print("\n max: %d\n",max(t_i,t_j));
+      }
+      p_Test (lm, c->r);
+      s->lcm_of_lm = lm;
+      //          pDelete(&short_s);
+      //assume(lm!=NULL);
+      nodes[spc] = s;
+      spc++;
+
+      // }
+      //else
+      //{
+      //c->states[i][j]=HASTREP;
+      //}
+    }
+  }				//if syz_comp end
+
+  assume (spc <= i);
   //now ideal quotient crit
-  qsort(nodes,spc,sizeof(sorted_pair_node*),iq_crit);
-
-    sorted_pair_node** nodes_final=(sorted_pair_node**) omalloc(sizeof(sorted_pair_node*)*i);
-  int spc_final=0;
-  j=0;
-  while(j<spc)
-  {
-    int lower=j;
+  qsort (nodes, spc, sizeof (sorted_pair_node *), iq_crit);
+
+  sorted_pair_node **nodes_final =
+    (sorted_pair_node **) omalloc (sizeof (sorted_pair_node *) * i);
+  int spc_final = 0;
+  j = 0;
+  while (j < spc)
+  {
+    int lower = j;
     int upper;
-    BOOLEAN has=FALSE;
-    for(upper=lower+1;upper<spc;upper++)
-    {
-      if(!pLmEqual(nodes[lower]->lcm_of_lm,nodes[upper]->lcm_of_lm))
-      {
-  break;
-      }
-      if (has_t_rep(nodes[upper]->i,nodes[upper]->j,c))
-  has=TRUE;
-    }
-    upper=upper-1;
+    BOOLEAN has = FALSE;
+    for (upper = lower + 1; upper < spc; upper++)
+    {
+      if (!pLmEqual (nodes[lower]->lcm_of_lm, nodes[upper]->lcm_of_lm))
+      {
+	break;
+      }
+      if (has_t_rep (nodes[upper]->i, nodes[upper]->j, c))
+	has = TRUE;
+    }
+    upper = upper - 1;
     int z;
-    assume(spc_final<=j);
-    for(z=0;z<spc_final;z++)
-    {
-      if(p_LmDivisibleBy(nodes_final[z]->lcm_of_lm,nodes[lower]->lcm_of_lm,c->r))
-      {
-  has=TRUE;
-  break;
-      }
-    }
-
-    if(has)
-    {
-      for(;lower<=upper;lower++)
-      {
-  //free_sorted_pair_node(nodes[lower],c->r);
-  //omfree(nodes[lower]);
-  nodes[lower]=NULL;
-      }
-      j=upper+1;
+    assume (spc_final <= j);
+    for (z = 0; z < spc_final; z++)
+    {
+      if (p_LmDivisibleBy
+	  (nodes_final[z]->lcm_of_lm, nodes[lower]->lcm_of_lm, c->r))
+      {
+	has = TRUE;
+	break;
+      }
+    }
+
+    if (has)
+    {
+      for (; lower <= upper; lower++)
+      {
+	//free_sorted_pair_node(nodes[lower],c->r);
+	//omfree(nodes[lower]);
+	nodes[lower] = NULL;
+      }
+      j = upper + 1;
       continue;
     }
     else
     {
-      p_Test(nodes[lower]->lcm_of_lm,c->r);
-      nodes[lower]->lcm_of_lm=pCopy(nodes[lower]->lcm_of_lm);
-      assume(_p_GetComp(c->S->m[nodes[lower]->i],c->r)==_p_GetComp(c->S->m[nodes[lower]->j],c->r));
-      nodes_final[spc_final]=(sorted_pair_node*) omalloc(sizeof(sorted_pair_node));
-
-      *(nodes_final[spc_final++])=*(nodes[lower]);
+      p_Test (nodes[lower]->lcm_of_lm, c->r);
+      nodes[lower]->lcm_of_lm = pCopy (nodes[lower]->lcm_of_lm);
+      assume (_p_GetComp (c->S->m[nodes[lower]->i], c->r) ==
+	      _p_GetComp (c->S->m[nodes[lower]->j], c->r));
+      nodes_final[spc_final] =
+	(sorted_pair_node *) omalloc (sizeof (sorted_pair_node));
+
+      *(nodes_final[spc_final++]) = *(nodes[lower]);
       //c->tmp_spn[nodes[lower]->j]=(sorted_pair_node*) omalloc(sizeof(sorted_pair_node));
-      nodes[lower]=NULL;
-      for(lower=lower+1;lower<=upper;lower++)
-      {
-  //  free_sorted_pair_node(nodes[lower],c->r);
-  //omfree(nodes[lower]);
-  nodes[lower]=NULL;
-      }
-      j=upper+1;
+      nodes[lower] = NULL;
+      for (lower = lower + 1; lower <= upper; lower++)
+      {
+	//  free_sorted_pair_node(nodes[lower],c->r);
+	//omfree(nodes[lower]);
+	nodes[lower] = NULL;
+      }
+      j = upper + 1;
       continue;
     }
@@ -1634,14 +1807,14 @@
   //  Print("i:%d,spc_final:%d",i,spc_final);
 
-  assume(spc_final<=spc);
-  omfree(nodes);
-  nodes=NULL;
-
-  add_to_reductors(c, h, c->lengths[c->n-1], ecart,TRUE);
+  assume (spc_final <= spc);
+  omfree (nodes);
+  nodes = NULL;
+
+  add_to_reductors (c, h, c->lengths[c->n - 1], ecart, TRUE);
   //i=posInS(c->strat,c->strat->sl,h,0 ecart);
   if (!(c->nc))
   {
-    if (c->lengths[c->n-1]==1)
-      shorten_tails(c,c->S->m[c->n-1]);
+    if (c->lengths[c->n - 1] == 1)
+      shorten_tails (c, c->S->m[c->n - 1]);
   }
   //you should really update c->lengths, c->strat->lenS, and the oder of polys in strat if you sort after lengths
@@ -1649,7 +1822,8 @@
   //for(i=c->strat->sl; i>0;i--)
   //  if(c->strat->lenS[i]<c->strat->lenS[i-1]) printf("fehler bei %d\n",i);
-  if (c->Rcounter>50) {
-    c->Rcounter=0;
-    cleanS(c->strat,c);
+  if (c->Rcounter > 50)
+  {
+    c->Rcounter = 0;
+    cleanS (c->strat, c);
   }
 
@@ -1657,37 +1831,37 @@
   // for SCA:
   // here write at the end of nodes_final[spc_final,...,spc_final+lmdeg-1]
-  if(rIsSCA(c->r))
-  {
-    const poly pNext = pNext(h);
-
-    if(pNext != NULL)
+  if (rIsSCA (c->r))
+  {
+    const poly pNext = pNext (h);
+
+    if (pNext != NULL)
     {
       // for additional polynomials
-      const unsigned int m_iFirstAltVar = scaFirstAltVar(c->r);
-      const unsigned int m_iLastAltVar  = scaLastAltVar(c->r);
-
-      int N = // c->r->N;
-              m_iLastAltVar - m_iFirstAltVar + 1; // should be enough
+      const unsigned int m_iFirstAltVar = scaFirstAltVar (c->r);
+      const unsigned int m_iLastAltVar = scaLastAltVar (c->r);
+
+      int N =			// c->r->N;
+	m_iLastAltVar - m_iFirstAltVar + 1;	// should be enough
       // TODO: but we may also use got = gcd({m}_{m\in f}))!
 
-       poly* array_arg=(poly*)omalloc(N*sizeof(poly)); // !
-       int j = 0;
-
-
-      for( unsigned short v = m_iFirstAltVar; v <= m_iLastAltVar; v++ )
-      // for all x_v | Ann(lm(h))
-      if( p_GetExp(h, v, c->r) ) // TODO: use 'got' here!
-      {
-        assume(p_GetExp(h, v, c->r)==1);
-
-        poly p = sca_pp_Mult_xi_pp(v, pNext, c->r); // x_v * h;
-
-        if(p != NULL) // if (x_v * h != 0)
-          array_arg[j++] = p;
-      } // for all x_v | Ann(lm(h))
-
-      c->introduceDelayedPairs(array_arg, j);
-
-      omfree(array_arg); // !!!
+      poly *array_arg = (poly *) omalloc (N * sizeof (poly));	// !
+      int j = 0;
+
+
+      for (unsigned short v = m_iFirstAltVar; v <= m_iLastAltVar; v++)
+	// for all x_v | Ann(lm(h))
+	if (p_GetExp (h, v, c->r))	// TODO: use 'got' here!
+	{
+	  assume (p_GetExp (h, v, c->r) == 1);
+
+	  poly p = sca_pp_Mult_xi_pp (v, pNext, c->r);	// x_v * h;
+
+	  if (p != NULL)	// if (x_v * h != 0)
+	    array_arg[j++] = p;
+	}			// for all x_v | Ann(lm(h))
+
+      c->introduceDelayedPairs (array_arg, j);
+
+      omfree (array_arg);	// !!!
     }
 //     PrintS("Saturation - done!!!\n");
@@ -1696,28 +1870,32 @@
 
 
-  if(!ip)
-  {
-    qsort(nodes_final,spc_final,sizeof(sorted_pair_node*),tgb_pair_better_gen2);
-
-
-    c->apairs=spn_merge(c->apairs,c->pair_top+1,nodes_final,spc_final,c);
-    c->pair_top+=spc_final;
-    clean_top_of_pair_list(c);
-    omfree(nodes_final);
+  if (!ip)
+  {
+    qsort (nodes_final, spc_final, sizeof (sorted_pair_node *),
+	   tgb_pair_better_gen2);
+
+
+    c->apairs =
+      spn_merge (c->apairs, c->pair_top + 1, nodes_final, spc_final, c);
+    c->pair_top += spc_final;
+    clean_top_of_pair_list (c);
+    omfree (nodes_final);
     return NULL;
   }
   {
-    *ip=spc_final;
+    *ip = spc_final;
     return nodes_final;
   }
 }
 
-static poly redNF2 (poly h,slimgb_alg* c , int &len, number&  m,int n)
-{
-  m=nInit(1);
-  if (h==NULL) return NULL;
-
-  assume(len==pLength(h));
-  kStrategy strat=c->strat;
+static poly
+redNF2 (poly h, slimgb_alg * c, int &len, number & m, int n)
+{
+  m = nInit (1);
+  if (h == NULL)
+    return NULL;
+
+  assume (len == pLength (h));
+  kStrategy strat = c->strat;
   if (0 > strat->sl)
   {
@@ -1726,9 +1904,9 @@
   int j;
 
-  LObject P(h);
-  P.SetShortExpVector();
-  P.bucket = kBucketCreate(currRing);
+  LObject P (h);
+  P.SetShortExpVector ();
+  P.bucket = kBucketCreate (currRing);
   // BOOLEAN corr=lenS_correct(strat);
-  kBucketInit(P.bucket,P.p,len /*pLength(P.p)*/);
+  kBucketInit (P.bucket, P.p, len /*pLength(P.p) */ );
   //wlen_set lenSw=(wlen_set) c->strat->lenS;
   //FIXME: plainly wrong
@@ -1739,136 +1917,159 @@
   loop
   {
-      //int dummy=strat->sl;
-      j=kFindDivisibleByInS_easy(strat,P.p,P.sev);
-      //j=kFindDivisibleByInS(strat,&dummy,&P);
-      if ((j>=0) && ((!n)||
-        ((strat->lenS[j]<=n) &&
-         ((strat->lenSw==NULL)||
-         (strat->lenSw[j]<=n)))))
-      {
-        nNormalize(pGetCoeff(P.p));
+    //int dummy=strat->sl;
+    j = kFindDivisibleByInS_easy (strat, P.p, P.sev);
+    //j=kFindDivisibleByInS(strat,&dummy,&P);
+    if ((j >= 0) && ((!n) ||
+		     ((strat->lenS[j] <= n) &&
+		      ((strat->lenSw == NULL) || (strat->lenSw[j] <= n)))))
+    {
+      nNormalize (pGetCoeff (P.p));
 #ifdef KDEBUG
-        if (TEST_OPT_DEBUG)
-        {
-          PrintS("red:");
-          wrp(h);
-          PrintS(" with ");
-          wrp(strat->S[j]);
-        }
-#endif
-
-        number coef=kBucketPolyRed(P.bucket,strat->S[j],
-                                   strat->lenS[j]/*pLength(strat->S[j])*/,
-                                   strat->kNoether);
-  number m2=nMult(m,coef);
-  nDelete(&m);
-  m=m2;
-        nDelete(&coef);
-        h = kBucketGetLm(P.bucket);
-
-  if (h==NULL) {
-    len=0;
-    kBucketDestroy(&P.bucket);
-    return
-    NULL;}
-        P.p=h;
-        P.t_p=NULL;
-        P.SetShortExpVector();
+      if (TEST_OPT_DEBUG)
+      {
+	PrintS ("red:");
+	wrp (h);
+	PrintS (" with ");
+	wrp (strat->S[j]);
+      }
+#endif
+
+      number coef = kBucketPolyRed (P.bucket, strat->S[j],
+				    strat->lenS[j] /*pLength(strat->S[j]) */ ,
+				    strat->kNoether);
+      number m2 = nMult (m, coef);
+      nDelete (&m);
+      m = m2;
+      nDelete (&coef);
+      h = kBucketGetLm (P.bucket);
+
+      if (h == NULL)
+      {
+	len = 0;
+	kBucketDestroy (&P.bucket);
+	return NULL;
+      }
+      P.p = h;
+      P.t_p = NULL;
+      P.SetShortExpVector ();
 #ifdef KDEBUG
-        if (TEST_OPT_DEBUG)
-        {
-          PrintS("\nto:");
-          wrp(h);
-          PrintLn();
-        }
-#endif
-      }
-      else
-      {
-        kBucketClear(P.bucket,&(P.p),&len);
-        kBucketDestroy(&P.bucket);
-        pNormalize(P.p);
-  assume(len==(pLength(P.p)));
-        return P.p;
-      }
-    }
-}
-
-static poly redTailShort(poly h, kStrategy strat)
-{
-  if (h==NULL) return NULL;//n_Init(1,currRing);
+      if (TEST_OPT_DEBUG)
+      {
+	PrintS ("\nto:");
+	wrp (h);
+	PrintLn ();
+      }
+#endif
+    }
+    else
+    {
+      kBucketClear (P.bucket, &(P.p), &len);
+      kBucketDestroy (&P.bucket);
+      pNormalize (P.p);
+      assume (len == (pLength (P.p)));
+      return P.p;
+    }
+  }
+}
+
+static poly
+redTailShort (poly h, kStrategy strat)
+{
+  if (h == NULL)
+    return NULL;		//n_Init(1,currRing);
   if (TEST_V_MODPSOLVSB)
   {
-    bit_reduce(pNext(h), strat->tailRing);
+    bit_reduce (pNext (h), strat->tailRing);
   }
   int i;
-  int len=pLength(h);
-  for(i=0;i<=strat->sl;i++)
-  {
-    if((strat->lenS[i]>2) || ((strat->lenSw!=NULL) && (strat->lenSw[i]>2)))
+  int len = pLength (h);
+  for (i = 0; i <= strat->sl; i++)
+  {
+    if ((strat->lenS[i] > 2)
+	|| ((strat->lenSw != NULL) && (strat->lenSw[i] > 2)))
       break;
   }
-  return(redNFTail(h,i-1,strat, len));
-}
-
-static void line_of_extended_prod(int fixpos,slimgb_alg* c)
-{
-    if (c->gcd_of_terms[fixpos]==NULL)
-  {
-    c->gcd_of_terms[fixpos]=gcd_of_terms(c->S->m[fixpos],c->r);
+  return (redNFTail (h, i - 1, strat, len));
+}
+
+static void
+line_of_extended_prod (int fixpos, slimgb_alg * c)
+{
+  if (c->gcd_of_terms[fixpos] == NULL)
+  {
+    c->gcd_of_terms[fixpos] = gcd_of_terms (c->S->m[fixpos], c->r);
     if (c->gcd_of_terms[fixpos])
     {
       int i;
-      for(i=0;i<fixpos;i++)
-        if((c->states[fixpos][i]!=HASTREP)&& (extended_product_criterion(c->S->m[fixpos],c->gcd_of_terms[fixpos], c->S->m[i],c->gcd_of_terms[i],c)))
-{
-          c->states[fixpos][i]=HASTREP;
-    c->extended_product_crit++;
-}
-      for(i=fixpos+1;i<c->n;i++)
-        if((c->states[i][fixpos]!=HASTREP)&& (extended_product_criterion(c->S->m[fixpos],c->gcd_of_terms[fixpos], c->S->m[i],c->gcd_of_terms[i],c)))
-  {        c->states[i][fixpos]=HASTREP;
-  c->extended_product_crit++;
-  }
-    }
-  }
-}
-static void c_S_element_changed_hook(int pos, slimgb_alg* c)
-{
-  length_one_crit(c,pos, c->lengths[pos]);
+      for (i = 0; i < fixpos; i++)
+	if ((c->states[fixpos][i] != HASTREP)
+	    &&
+	    (extended_product_criterion
+	     (c->S->m[fixpos], c->gcd_of_terms[fixpos], c->S->m[i],
+	      c->gcd_of_terms[i], c)))
+	{
+	  c->states[fixpos][i] = HASTREP;
+	  c->extended_product_crit++;
+	}
+      for (i = fixpos + 1; i < c->n; i++)
+	if ((c->states[i][fixpos] != HASTREP)
+	    &&
+	    (extended_product_criterion
+	     (c->S->m[fixpos], c->gcd_of_terms[fixpos], c->S->m[i],
+	      c->gcd_of_terms[i], c)))
+	{
+	  c->states[i][fixpos] = HASTREP;
+	  c->extended_product_crit++;
+	}
+    }
+  }
+}
+
+static void
+c_S_element_changed_hook (int pos, slimgb_alg * c)
+{
+  length_one_crit (c, pos, c->lengths[pos]);
   if (!c->nc)
-    line_of_extended_prod(pos,c);
-}
-class poly_tree_node {
+    line_of_extended_prod (pos, c);
+}
+
+class poly_tree_node
+{
 public:
   poly p;
-  poly_tree_node* l;
-  poly_tree_node* r;
+  poly_tree_node *l;
+  poly_tree_node *r;
   int n;
-  poly_tree_node(int sn):l(NULL),r(NULL),n(sn)
-  {}
+    poly_tree_node (int sn):l (NULL), r (NULL), n (sn)
+  {
+  }
 };
-class exp_number_builder{
+class exp_number_builder
+{
 public:
-  poly_tree_node* top_level;
+  poly_tree_node * top_level;
   int n;
-  int get_n(poly p);
-  exp_number_builder():top_level(0),n(0)
-  {}
+  int get_n (poly p);
+    exp_number_builder ():top_level (0), n (0)
+  {
+  }
 };
-int exp_number_builder::get_n(poly p)
-{
-  poly_tree_node** node=&top_level;
-  while(*node!=NULL)
-  {
-    int c=pLmCmp(p,(*node)->p);
-    if (c==0) return (*node)->n;
-    if (c==-1) node=&((*node)->r);
+int
+exp_number_builder::get_n (poly p)
+{
+  poly_tree_node **node = &top_level;
+  while (*node != NULL)
+  {
+    int c = pLmCmp (p, (*node)->p);
+    if (c == 0)
+      return (*node)->n;
+    if (c == -1)
+      node = &((*node)->r);
     else
-      node=&((*node)->l);
-  }
-  (*node)= new poly_tree_node(n);
+      node = &((*node)->l);
+  }
+  (*node) = new poly_tree_node (n);
   n++;
-  (*node)->p=pLmInit(p);
+  (*node)->p = pLmInit (p);
   return (*node)->n;
 }
@@ -1878,5 +2079,6 @@
 
 //! obsolete
-struct int_poly_pair{
+struct int_poly_pair
+{
   poly p;
   int n;
@@ -1885,82 +2087,96 @@
 
 //! obsolete
-void t2ippa_rec(poly* ip,int* ia, poly_tree_node* k, int &offset)
-{
-    if(!k) return;
-    t2ippa_rec(ip,ia,k->l,offset);
-    ip[offset]=k->p;
-    ia[k->n]=offset;
-    ++offset;
-
-    t2ippa_rec(ip,ia,k->r,offset);
-    delete k;
-  }
+void
+t2ippa_rec (poly * ip, int *ia, poly_tree_node * k, int &offset)
+{
+  if (!k)
+    return;
+  t2ippa_rec (ip, ia, k->l, offset);
+  ip[offset] = k->p;
+  ia[k->n] = offset;
+  ++offset;
+
+  t2ippa_rec (ip, ia, k->r, offset);
+  delete k;
+}
 
 //! obsolete
-void t2ippa(poly* ip,int* ia,exp_number_builder & e)
-{
-
-  int o=0;
-  t2ippa_rec(ip,ia,e.top_level,o);
-}
-int anti_poly_order(const void* a, const void* b)
-{
-  return -pLmCmp(((int_poly_pair*) a)->p,((int_poly_pair*) b)->p );
-}
-
-BOOLEAN is_valid_ro(red_object & ro)
-{
-  red_object r2=ro;
-  ro.validate();
-  if ((r2.p!=ro.p)||(r2.sev!=ro.sev)) return FALSE;
+void
+t2ippa (poly * ip, int *ia, exp_number_builder & e)
+{
+
+  int o = 0;
+  t2ippa_rec (ip, ia, e.top_level, o);
+}
+
+int
+anti_poly_order (const void *a, const void *b)
+{
+  return -pLmCmp (((int_poly_pair *) a)->p, ((int_poly_pair *) b)->p);
+}
+
+BOOLEAN
+is_valid_ro (red_object & ro)
+{
+  red_object r2 = ro;
+  ro.validate ();
+  if ((r2.p != ro.p) || (r2.sev != ro.sev))
+    return FALSE;
   return TRUE;
 }
-int terms_sort_crit(const void* a, const void* b)
-{
-  return -pLmCmp(*((poly*) a),*((poly*) b));
-}
-#if 0 // currently unused
-static void unify_terms(poly* terms,int & sum)
-{
-  if (sum==0) return;
-  int last=0;
-  int curr=1;
-  while(curr<sum)
-  {
-    if (!(pLmEqual(terms[curr],terms[last])))
-    {
-      terms[++last]=terms[curr];
+
+int
+terms_sort_crit (const void *a, const void *b)
+{
+  return -pLmCmp (*((poly *) a), *((poly *) b));
+}
+
+#if 0				// currently unused
+static void
+unify_terms (poly * terms, int &sum)
+{
+  if (sum == 0)
+    return;
+  int last = 0;
+  int curr = 1;
+  while (curr < sum)
+  {
+    if (!(pLmEqual (terms[curr], terms[last])))
+    {
+      terms[++last] = terms[curr];
     }
     ++curr;
   }
-  sum=last+1;
-}
-#endif
-#if 0 // currently unused
-static void export_mat(number* number_array,int pn, int tn,const char* format_str, int mat_nr)
+  sum = last + 1;
+}
+#endif
+#if 0				// currently unused
+static void
+export_mat (number * number_array, int pn, int tn, const char *format_str,
+	    int mat_nr)
 {
   char matname[20];
-  sprintf(matname,format_str,mat_nr);
-  FILE* out=fopen(matname,"w");
-  int i,j;
-  fprintf(out,"mat=[\n");
-  for(i=0;i<pn;i++)
-  {
-    fprintf(out,"[\n");
-    for(j=0;j<tn;j++)
-    {
-      if (j>0)
-      {
-        fprintf(out,", ");
-      }
-      fprintf(out,"%i",npInt(number_array[i*tn+j],currRing));
-    }
-    if (i<pn-1)
-      fprintf(out,"],\n");
+  sprintf (matname, format_str, mat_nr);
+  FILE *out = fopen (matname, "w");
+  int i, j;
+  fprintf (out, "mat=[\n");
+  for (i = 0; i < pn; i++)
+  {
+    fprintf (out, "[\n");
+    for (j = 0; j < tn; j++)
+    {
+      if (j > 0)
+      {
+	fprintf (out, ", ");
+      }
+      fprintf (out, "%i", npInt (number_array[i * tn + j], currRing));
+    }
+    if (i < pn - 1)
+      fprintf (out, "],\n");
     else
-      fprintf(out,"],\n");
-  }
-  fprintf(out,"]\n");
-  fclose(out);
+      fprintf (out, "],\n");
+  }
+  fprintf (out, "]\n");
+  fclose (out);
 }
 #endif
@@ -1970,97 +2186,104 @@
 #ifdef USE_NORO
 #ifndef NORO_CACHE
-static void linalg_step_modp(poly *p, poly* p_out, int& pn, poly* terms,int tn, slimgb_alg* c)
-{
-  static int export_n=0;
-  assume(terms[tn-1]!=NULL);
-  assume(rField_is_Zp(c->r));
+static void
+linalg_step_modp (poly * p, poly * p_out, int &pn, poly * terms, int tn,
+		  slimgb_alg * c)
+{
+  static int export_n = 0;
+  assume (terms[tn - 1] != NULL);
+  assume (rField_is_Zp (c->r));
   //I don't do deletes, copies of number_types ...
-  const number_type zero=0;//npInit(0);
-  int array_size=pn*tn;
-  number_type* number_array=(number_type*) omalloc(pn*tn*sizeof(number_type));
+  const number_type zero = 0;	//npInit(0);
+  int array_size = pn * tn;
+  number_type *number_array =
+    (number_type *) omalloc (pn * tn * sizeof (number_type));
   int i;
-  for(i=0;i<array_size;i++)
-  {
-    number_array[i]=zero;
-  }
-  for(i=0;i<pn;i++)
-  {
-    poly h=p[i];
+  for (i = 0; i < array_size; i++)
+  {
+    number_array[i] = zero;
+  }
+  for (i = 0; i < pn; i++)
+  {
+    poly h = p[i];
     //int base=tn*i;
-    write_poly_to_row(number_array+tn*i,h,terms,tn,c->r);
+    write_poly_to_row (number_array + tn * i, h, terms, tn, c->r);
 
   }
 #if 0
   //export matrix
-  export_mat(number_array,pn,tn,"mat%i.py",++export_n);
-#endif
-  int rank=pn;
-  simplest_gauss_modp(number_array,rank,tn);
-  int act_row=0;
-  int p_pos=0;
-  for(i=0;i<pn;i++)
-  {
-    poly h=NULL;
+  export_mat (number_array, pn, tn, "mat%i.py", ++export_n);
+#endif
+  int rank = pn;
+  simplest_gauss_modp (number_array, rank, tn);
+  int act_row = 0;
+  int p_pos = 0;
+  for (i = 0; i < pn; i++)
+  {
+    poly h = NULL;
     int j;
-    int base=tn*i;
-    number* row=number_array+base;
-    h=row_to_poly(row,terms,tn,c->r);
-
-   if (h!=NULL)
-   {
-     p_out[p_pos++]=h;
-   }
-  }
-  pn=p_pos;
+    int base = tn * i;
+    number *row = number_array + base;
+    h = row_to_poly (row, terms, tn, c->r);
+
+    if (h != NULL)
+    {
+      p_out[p_pos++] = h;
+    }
+  }
+  pn = p_pos;
   //assert(p_pos==rank)
-  while(p_pos<pn)
-  {
-    p_out[p_pos++]=NULL;
+  while (p_pos < pn)
+  {
+    p_out[p_pos++] = NULL;
   }
 #if 0
-  export_mat(number_array,pn,tn,"mat%i.py",++export_n);
-#endif
-}
-#endif
-#endif
-static void mass_add(poly* p, int pn,slimgb_alg* c)
-{
-    int j;
-    int* ibuf=(int*) omalloc(pn*sizeof(int));
-    sorted_pair_node*** sbuf=(sorted_pair_node***) omalloc(pn*sizeof(sorted_pair_node**));
-    for(j=0;j<pn;j++)
-    {
-      p_Test(p[j],c->r);
-      sbuf[j]=add_to_basis_ideal_quotient(p[j],c,ibuf+j);
-    }
-    int sum=0;
-    for(j=0;j<pn;j++)
-    {
-      sum+=ibuf[j];
-    }
-    sorted_pair_node** big_sbuf=(sorted_pair_node**) omalloc(sum*sizeof(sorted_pair_node*));
-    int partsum=0;
-    for(j=0;j<pn;j++)
-    {
-      memmove(big_sbuf+partsum, sbuf[j],ibuf[j]*sizeof(sorted_pair_node*));
-      omfree(sbuf[j]);
-      partsum+=ibuf[j];
-    }
-
-    qsort(big_sbuf,sum,sizeof(sorted_pair_node*),tgb_pair_better_gen2);
-    c->apairs=spn_merge(c->apairs,c->pair_top+1,big_sbuf,sum,c);
-    c->pair_top+=sum;
-    clean_top_of_pair_list(c);
-    omfree(big_sbuf);
-    omfree(sbuf);
-    omfree(ibuf);
-    //omfree(buf);
-  #ifdef TGB_DEBUG
-    int z;
-    for(z=1;z<=c->pair_top;z++)
-    {
-      assume(pair_better(c->apairs[z],c->apairs[z-1],c));
-    }
-  #endif
+  export_mat (number_array, pn, tn, "mat%i.py", ++export_n);
+#endif
+}
+#endif
+#endif
+static void
+mass_add (poly * p, int pn, slimgb_alg * c)
+{
+  int j;
+  int *ibuf = (int *) omalloc (pn * sizeof (int));
+  sorted_pair_node ***sbuf =
+    (sorted_pair_node ***) omalloc (pn * sizeof (sorted_pair_node **));
+  for (j = 0; j < pn; j++)
+  {
+    p_Test (p[j], c->r);
+    sbuf[j] = add_to_basis_ideal_quotient (p[j], c, ibuf + j);
+  }
+  int sum = 0;
+  for (j = 0; j < pn; j++)
+  {
+    sum += ibuf[j];
+  }
+  sorted_pair_node **big_sbuf =
+    (sorted_pair_node **) omalloc (sum * sizeof (sorted_pair_node *));
+  int partsum = 0;
+  for (j = 0; j < pn; j++)
+  {
+    memmove (big_sbuf + partsum, sbuf[j],
+	     ibuf[j] * sizeof (sorted_pair_node *));
+    omfree (sbuf[j]);
+    partsum += ibuf[j];
+  }
+
+  qsort (big_sbuf, sum, sizeof (sorted_pair_node *), tgb_pair_better_gen2);
+  c->apairs = spn_merge (c->apairs, c->pair_top + 1, big_sbuf, sum, c);
+  c->pair_top += sum;
+  clean_top_of_pair_list (c);
+  omfree (big_sbuf);
+  omfree (sbuf);
+  omfree (ibuf);
+  //omfree(buf);
+#ifdef TGB_DEBUG
+  int z;
+  for (z = 1; z <= c->pair_top; z++)
+  {
+    assume (pair_better (c->apairs[z], c->apairs[z - 1], c));
+  }
+#endif
 
 }
